Package org.apache.solr.client.solrj.request

# Class ConfigSetAdminRequest.Create

java.lang.Object
org.apache.solr.client.solrj.SolrRequest<ConfigSetAdminResponse>
org.apache.solr.client.solrj.request.ConfigSetAdminRequest<ConfigSetAdminRequest.Create,ConfigSetAdminResponse>
org.apache.solr.client.solrj.request.ConfigSetAdminRequest.ConfigSetSpecificAdminRequest<ConfigSetAdminRequest.Create>
org.apache.solr.client.solrj.request.ConfigSetAdminRequest.Create

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  `ConfigSetAdminRequest<Q extends ConfigSetAdminRequest<Q,R>,R extends ConfigSetAdminResponse>`

public static class ConfigSetAdminRequest.Create extends ConfigSetAdminRequest.ConfigSetSpecificAdminRequest<ConfigSetAdminRequest.Create>
Creates a new config set by cloning an existing "base" configset. To create a new configset from scratch using a ZIP file you wish to upload, use the `ConfigSetAdminRequest.Upload` command instead

See Also:
  - Serialized Form

## Nested Class Summary

## Nested classes/interfaces inherited from class org.apache.solr.client.solrj.request.ConfigSetAdminRequest

`ConfigSetAdminRequest.ConfigSetSpecificAdminRequest<T extends ConfigSetAdminRequest<T,ConfigSetAdminResponse>>, ConfigSetAdminRequest.Create, ConfigSetAdminRequest.Delete, ConfigSetAdminRequest.List, ConfigSetAdminRequest.Upload`

## Nested classes/interfaces inherited from class org.apache.solr.client.solrj.SolrRequest

`SolrRequest.ApiVersion, SolrRequest.METHOD, SolrRequest.SolrClientContext, SolrRequest.SolrRequestType`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String`
`baseConfigSetName`
`protected Properties`
`properties`
`protected static String`
`PROPERTY_PREFIX`

### Fields inherited from class org.apache.solr.client.solrj.request.ConfigSetAdminRequest.ConfigSetSpecificAdminRequest

`configSetName`

### Fields inherited from class org.apache.solr.client.solrj.request.ConfigSetAdminRequest

`action`

### Fields inherited from class org.apache.solr.client.solrj.SolrRequest

`SUPPORTED_METHODS`

## Constructor Summary

Constructors
Constructor
Description
`Create()`

## Method Summary

Modifier and Type
Method
Description
`final String`
`getBaseConfigSetName()`
`final Properties`
`getNewConfigSetProperties()`
`SolrParams`
`getParams()`
The parameters for this request; never null.
`protected ConfigSetAdminRequest.Create`
`getThis()`
`final ConfigSetAdminRequest.Create`
`setBaseConfigSetName(String baseConfigSetName)`
`final ConfigSetAdminRequest.Create`
`setNewConfigSetProperties(Properties properties)`

### Methods inherited from class org.apache.solr.client.solrj.request.ConfigSetAdminRequest.ConfigSetSpecificAdminRequest

`createResponse, getConfigSetName, setConfigSetName`

### Methods inherited from class org.apache.solr.client.solrj.request.ConfigSetAdminRequest

`setAction`

### Methods inherited from class org.apache.solr.client.solrj.SolrRequest

`addHeader, addHeaders, getApiVersion, getBasicAuthPassword, getBasicAuthUser, getCollection, getContentStreams, getContentWriter, getHeaders, getMethod, getPath, getPreferredNodes, getQueryParams, getRequestType, getResponseParser, getStreamingResponseCallback, getUserPrincipal, process, process, processWithBaseUrl, requiresCollection, setBasicAuthCredentials, setMethod, setPath, setPreferredNodes, setQueryParams, setRequestType, setResponseParser, setStreamingResponseCallback, setUserPrincipal`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### PROPERTY_PREFIX

protected static String PROPERTY_PREFIX

### baseConfigSetName

protected String baseConfigSetName

### properties

protected Properties properties

## Constructor Details

### Create

public Create()

## Method Details

### getThis

protected ConfigSetAdminRequest.Create getThis()

Specified by:
  `getThis` in class `ConfigSetAdminRequest<ConfigSetAdminRequest.Create,ConfigSetAdminResponse>`

### setBaseConfigSetName

public final ConfigSetAdminRequest.Create setBaseConfigSetName(String baseConfigSetName)

### getBaseConfigSetName

public final String getBaseConfigSetName()

### setNewConfigSetProperties

public final ConfigSetAdminRequest.Create setNewConfigSetProperties(Properties properties)

### getNewConfigSetProperties

public final Properties getNewConfigSetProperties()

### getParams

public SolrParams getParams()
Description copied from class: `SolrRequest`
The parameters for this request; never null. The runtime type may be mutable but modifications may not affect this `SolrRequest` instance, as it may return a new instance here every time. If the subclass specifies the response type as `ModifiableSolrParams`, then one can expect it to change this request. If the subclass has a setter then one can expect this method to return the value set.

Overrides:
  `getParams` in class `ConfigSetAdminRequest.ConfigSetSpecificAdminRequest<ConfigSetAdminRequest.Create>`